aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSasha Levin <sasha.levin@oracle.com>2015-11-01 16:12:47 -0500
committerSasha Levin <sasha.levin@oracle.com>2015-11-01 16:12:47 -0500
commitce504feb2a7268eec6ad1ebc0778ce04e36ad541 (patch)
treed8a96915f43028a17af6f7d0f467a31299a49954
parentc493cb0ad89282f0e128feddaeafa8b4330e398b (diff)
downloadstable-tools-ce504feb2a7268eec6ad1ebc0778ce04e36ad541.tar.gz
show-missing-iter
A little helper to iterate over all commits from a certain range that don't exist in the current branch. Signed-off-by: Sasha Levin <sasha.levin@oracle.com>
-rw-r--r--show-missing-iter15
1 files changed, 15 insertions, 0 deletions
diff --git a/show-missing-iter b/show-missing-iter
new file mode 100644
index 0000000..c51fcc9
--- /dev/null
+++ b/show-missing-iter
@@ -0,0 +1,15 @@
+#!/bin/bash
+#
+# Show commits which exist in a given range, but don't exist in the current
+# branch.
+#
+#set -x
+
+function show_missing_iter {
+ for i in $(git log --no-merges --format="%H" $1 | tac); do
+ stable-commit-in-tree $i
+ if [ "$?" = "0" ]; then
+ $2 $i
+ fi
+ done
+}